Bug 816095 - [designer] Source viewers stuck when open for the second time
[designer] Source viewers stuck when open for the second time
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: BRM (Guvnor) (Show other bugs)
BRMS 5.3.0.GA
Unspecified Unspecified
unspecified Severity medium
: ER7
: ---
Assigned To: Tihomir Surdilovic
Jiri Locker
Depends On:
  Show dependency treegraph
Reported: 2012-04-25 05:07 EDT by Jiri Locker
Modified: 2012-05-16 19:46 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
FF 3, 8
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jiri Locker 2012-04-25 05:07:25 EDT
Description of problem:
All of these source viewers are affected: ERDF, JSON, BPMN2, SVG. When a viewer is open for the first time it works fine and it can be closed. When it is open again it's broken. It displays ok, but it cannot be closed using the Close button or the X button in the top-right corner.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. go to designer (open a BPMN2 process)
2. click on of [ERDF, JSON, BPMN2, SVG] buttons and close the window
3. click the same button again and try closing the window
Actual results:
The window doesn't disappear.

Expected results:
The window should close and it should be possible to open it again and work with it repeatedly.

Additional info:
Comment 1 Tihomir Surdilovic 2012-04-25 13:05:00 EDT
Fixed in Designer master and 2.2.x branch.
Comment 2 Ryan Zhang 2012-05-14 04:15:47 EDT
The fixed for this issue should be included in ER7. Please do verification on it.
Comment 3 Jiri Locker 2012-05-15 07:44:02 EDT
Fix verified in ER7.

Note You need to log in before you can comment on or make changes to this bug.